Patch by id
curl --request PATCH \
--url https://stream-configuration-service.vatis.tech/stream-configuration-service/api/v1/stream-configuration-templates/{streamConfigurationTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonPatches": [
{
"op": "replace",
"path": "/json/path",
"value": "some_value"
}
]
}
'import requests
url = "https://stream-configuration-service.vatis.tech/stream-configuration-service/api/v1/stream-configuration-templates/{streamConfigurationTemplateId}"
payload = { "jsonPatches": [
{
"op": "replace",
"path": "/json/path",
"value": "some_value"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonPatches: [{op: 'replace', path: '/json/path', value: 'some_value'}]})
};
fetch('https://stream-configuration-service.vatis.tech/stream-configuration-service/api/v1/stream-configuration-templates/{streamConfigurationTemplateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"dataSourceSchema": "<string>",
"processors": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"processorDeclaration": {
"id": "<string>",
"displayName": "<string>",
"description": "<string>",
"clusterDomainNameTemplate": "<string>",
"podsDiscoveryClusterDomainName": "<string>",
"revision": "<string>",
"propertiesSchema": "<string>",
"inputSchemas": [
"<string>"
],
"outputSchema": "<string>",
"features": {
"support": [
"<string>"
],
"require": [
"<string>"
],
"implement": [
"<string>"
],
"requireSupport": [
"<string>"
]
}
},
"previousProcessorId": "<string>",
"propertiesSchema": "<string>",
"properties": {},
"destinationTopicMessageHeaders": {},
"destinationTopicHeaders": {},
"sourceSubscriptionHeaders": {},
"patchAliases": {},
"egress": {
"persist": true,
"sink": true,
"tags": [
"<string>"
]
}
}
],
"patchAliases": {}
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}{
"statusCode": 123,
"title": "<string>",
"message": "<string>",
"internalErrorName": "<string>",
"nestedErrors": [
{}
]
}Stream configuration
Patch by id
Retrieves the stream configuration template with patches applied.
PATCH
/
stream-configuration-service
/
api
/
v1
/
stream-configuration-templates
/
{streamConfigurationTemplateId}
Patch by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I